Source Package Manager interface can't be loaded

Anything that pertains to Entropy, Equo or Sulfur

Moderator: Moderators

Source Package Manager interface can't be loaded

Postby apiaio » Sat Oct 24, 2009 11:58

Hi there.
Yesterday, following Wiki. Sabayonn part Hopping Branches, I was trying to switch from 4.2 into 5 branche. Unfortunatelly, when running
Code: Select all
equo upgrade
computer was switched off due to power cut. Now, during the start up of the Sabayon, I can see many error messages. it is not possible to start many applications. I was able to make net connection, but every attempt to install anything , entropy included, finishes with the message
Source Package Manager interface can't be loaded, Erro:invalid syntax (__init__py, line 49) Please fix!
Any help appreciated.
apiaio
Growing Hen
 
Posts: 115
Joined: Thu Jul 30, 2009 19:44

Re: Source Package Manager interface can't be loaded

Postby crisandbea » Sat Oct 24, 2009 12:18

wich version of python you use?
crisandbea
Old Dear Hen
 
Posts: 651
Joined: Tue Feb 12, 2008 11:36
Location: Bosco(SA)

Re: Source Package Manager interface can't be loaded

Postby apiaio » Sat Oct 24, 2009 12:47

wich version of python you use?
2.5.4-r3
apiaio
Growing Hen
 
Posts: 115
Joined: Thu Jul 30, 2009 19:44

Re: Source Package Manager interface can't be loaded

Postby crisandbea » Sat Oct 24, 2009 13:47

apiaio wrote:
wich version of python you use?
2.5.4-r3


What gives you this command eselect python list ???
when you did the upgrade, you have run equo conf update?
wich files have update??
wich version of entropy you use??
crisandbea
Old Dear Hen
 
Posts: 651
Joined: Tue Feb 12, 2008 11:36
Location: Bosco(SA)

Re: Source Package Manager interface can't be loaded

Postby apiaio » Sat Oct 24, 2009 18:19

What gives you this command eselect python list ???
when you did the upgrade, you have run equo conf update?
wich files have update??
wich version of entropy you use??

I will try to answer, but I am not able to send any iformations directly from Sabayon. So for the line
1. I am not sure if eselect works, emerge does not
2. no
3. I do not know. Interruption of the upgrade happend when I was not near about the computer.
4. I will check it. have to reboot into Sabayon.
apiaio
Growing Hen
 
Posts: 115
Joined: Thu Jul 30, 2009 19:44

Re: Source Package Manager interface can't be loaded

Postby crisandbea » Sat Oct 24, 2009 18:23

apiaio wrote:
What gives you this command eselect python list ???
when you did the upgrade, you have run equo conf update?
wich files have update??
wich version of entropy you use??

I will try to answer, but I am not able to send any iformations directly from Sabayon. So for the line
1. I am not sure if eselect works, emerge does not
2. no
3. I do not know. Interruption of the upgrade happend when I was not near about the computer.
4. I will check it. have to reboot into Sabayon.



where they are shortly stop updates??
you have re-run equo world ??? after that interruption??
crisandbea
Old Dear Hen
 
Posts: 651
Joined: Tue Feb 12, 2008 11:36
Location: Bosco(SA)

Re: Source Package Manager interface can't be loaded

Postby apiaio » Sat Oct 24, 2009 18:40

eselect python list
Code: Select all
[1] python 2.5 *
Installed version of entropy - 0.99.3.2
where they are shortly stop updates??
I do not know.
you have re-run equo world ??? after that interruption??
re-run equo update
apiaio
Growing Hen
 
Posts: 115
Joined: Thu Jul 30, 2009 19:44

Re: Source Package Manager interface can't be loaded

Postby crisandbea » Sat Oct 24, 2009 20:41

apiaio wrote:eselect python list
Code: Select all
[1] python 2.5 *
Installed version of entropy - 0.99.3.2
where they are shortly stop updates??
I do not know.
you have re-run equo world ??? after that interruption??
re-run equo update

no re-run equo world or equo upgrade for update your packages, equo update is for update the repository.
crisandbea
Old Dear Hen
 
Posts: 651
Joined: Tue Feb 12, 2008 11:36
Location: Bosco(SA)

Re: Source Package Manager interface can't be loaded

Postby apiaio » Sat Oct 24, 2009 21:21

I re-run equo update before equo upgrade.
database is already up to date
and equo hop 5
already on branch 5
I can't make copy and paste because I am switching between Gentoo and Sabayon now.
apiaio
Growing Hen
 
Posts: 115
Joined: Thu Jul 30, 2009 19:44

Re: Source Package Manager interface can't be loaded

Postby crisandbea » Sun Oct 25, 2009 10:00

apiaio wrote:I re-run equo update before equo upgrade.
database is already up to date
and equo hop 5
already on branch 5
I can't make copy and paste because I am switching between Gentoo and Sabayon now.



install pygtk with --> equo install pygtk and re-run PackageManager interface(aka Sulfur).
crisandbea
Old Dear Hen
 
Posts: 651
Joined: Tue Feb 12, 2008 11:36
Location: Bosco(SA)

Next

Return to Entropy|Equo|Rigo Package Managers

Who is online

Users browsing this forum: No registered users and 2 guests

cron